Name:           multiverse
Version:        0.7.0
Release:        11
Summary:        A software transactional memory implementation for the JVM
License:        ASL 2.0
URL:            http://multiverse.codehaus.org
Source0:        https://github.com/pveentjer/Multiverse/archive/multiverse-0.7.0.tar.gz
Source1:        http://www.apache.org/licenses/LICENSE-2.0.txt

BuildRequires:  mvn(org.mockito:mockito-all)
BuildRequires:  mvn(junit:junit)
BuildRequires:  maven-local

BuildArch:      noarch

Provides:       multiverse-javadoc
Obsoletes:      multiverse-javadoc

%description
A software transactional memory implementation for the JVM. Access (read and
writes) to shared memory is done through transactional references, that can be
compared to the AtomicReferences of Java. Access to these references will be
done under A (atomicity), C (consistency), I (isolation) semantics.

%prep
%autosetup -n Multiverse-%{name}-%{version} -p1

%pom_xpath_remove pom:build/pom:extensions

%pom_remove_plugin :maven-deploy-plugin

cp -p %{SOURCE1} .

%build
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%doc README.md
%doc %{_javadocdir}/%{name}
%license LICENSE-2.0.txt
%dir %{_javadir}/%{name}


%changelog
* Wed Nov 9 2022 liyanan <liyanan32@h-partners.com>  - 0.7.0-11
- Change source

* Fri Dec 6 2019 huyan <hu.huyan@huawei.com> - 0.7.0-10
- Package Initialization
